# Evermizer Guide
*Version 2023-09-29 for v045+ and multiworld*

## Goal
With default settings (not bingo) the goal is to defeat the final boss.

Required items are rocket parts (2 Diamond Eyes, Wheel, Gauge) and Energy Core, with
* 3 Diamond Eyes, Wheel and Gauge in random locations
* Energy core depends on settings (vanilla, shuffled or fragments).
* Draw bridge to vanilla energy core opens after defeating Mungola, which is accessible after defeating Sterling. Dark Forest being an alternative route to chess board. Use wings to go through dark forest in reverse.
* With energy core fragments, alchemy ingredients from chests are replaced by fragments. Exchange at Prof. Ruffleberg.
* Distribution of key items depends on settings (Pooling, Gourdomizer, Alchemizer, Boss dropamizer).

**Possibly** required drops along the path:
* Levitate and Revealer alchemy
* Lance, Bronze Spear and Bronze Axe, Knight Basher, Atom Smasher and Laser Lance weapons

See [General Strats](#general-strats) below for strats, see [FAQ](#faq) below if you are stuck.

## Drop locations
NPC drops (Jaguar Ring, Cecil's bazooka, Call Beads, Collars, ...) are not randomized yet.

**Multiworld**
* All items that can be randomized are placed in random locations,
  honoring some priority rules (0-2 random late spots) and exclusion rules (hidden chests on easy).

**Evermizer with default settings**
* Gourd/pot/chest, boss and alchemy drops are shuffled to random locations of the same type.

**Evermizer with pooling**
* Drops set to "Pool" will be mixed with each other.

### Bosses
See [Boss Strats](#boss-strats) below for strats.

1. __Thraxx__: immediately accessible
2. __Coleoptera__: accessible after beating Thraxx and talking to Fire Eyes twice (Call Beads cutscene)
3. __Mammoth graveyard vipers__: accessible with any slashing weapon
4. __Salabog__: accessible with any slashing weapon
5. __Cave Raptors__: on the volcano path, accessible with any slashing weapon
6. __Volcano vipers__: accessible with Levitate (spell), rock skip (sequence break) or out of bounds
7. __Magmar__: accessible with Levitate (spell), rock skip (sequence break) or out of bounds
8. __Vigor__: accessible with slashing weapon, after you jumped down the trench in Crustacia (right of Blimp) and waited for the Market Timer to run out
9. __Sons of Anhur__: accessible with slashing weapon
10. __Rimsala__: accessible with Bronze Axe
11. __Minitaur__: **No drop.** Accessible with slashing weapon
12. __Mad Monk__: accessible with slashing weapon and Jaguar Ring
13. __Megataur__: accessible with Bronze Spear, Lance (weapon) or Laser Lance
14. __Aegis__: **No drop.** Accessible after getting two Diamond Eyes
15. __Tiny__: accessible after beating Aegis, Levitate required to reach him
16. __Aquagoth__: accessible after beating Aegis or out of bounds
17. __Foot Knight__: **No drop before v042.** Accessible with Windwalker after getting a slashing weapon
18. __Bad Boys__: accessible with Windwalker after getting a slashing weapon
19. __Timberdrake__: accessible with Windwalker after getting a slashing weapon
20. __Verminator__: accessible with Windwalker after getting a slashing weapon
21. __Sterling__: **Drops alchemy.** accessible with Knight Basher or out of bounds
22. __Mungola__: accessible after defeating Sterling (requires Knight Basher or out of bounds)
23. __Secret Boss__: **No drop.** accessible with Rocket
24. __Carltron__: accessible with Energy Core

### Gourds/pots/chests
None missable, all included on normal and hard, some excluded on easy.

Please use [vgmaps](https://vgmaps.com/Atlas/SuperNES/index.htm#SecretOfEvermore)
or [a maptracker](https://github.com/Cyb3RGER/evermizer-tracker-package) if you don't know them all.

### Alchemists
**Important:** Strongheart only gives you his second spell. Get the other one from the fish guy in the market.

Please use the [Secret of Evermore Wiki](https://secretofevermore.fandom.com/wiki/Alchemy)
or [vgmaps](https://vgmaps.com/Atlas/SuperNES/index.htm#SecretOfEvermore)
or [a maptracker](https://github.com/Cyb3RGER/evermizer-tracker-package) if you don't know them all.

### NPCs
Not randomized yet, please use [vgmaps](https://vgmaps.com/Atlas/SuperNES/index.htm#SecretOfEvermore) for now.


## General Strats

### Useful Glitches
* __Wings glitch__: you can use Wings or Escape to become invincible in all areas where Wings "did not work"
* __Infinite Bazooka ammo__: Particle Bombs and Cryo-Blast do not drain
* __Atlas glitch__: makes you invincible and deals max damage (see speedrun guides)
* __Perma Barrier__: adding a 5th status modifier (e.g. Poison, Barrier, Speed, Pixie Dust, Shield) will erase the first
  positive modifier (Barrier in the example), making it permanent until reset.
  Regenerate and Pixie Dust status modifiers can not coexist.
* __Saturn skip__: if "Sequence breaks" are "On" or "In Logic", lets you open all hatches in Act4 with the dog, making
  the Energy Core optional. "Off" disables the boss hatch, others still work.

  Place the dog over a hatch. Pressing B should not attack. Open the menu with Y. Tap Y.
  While closing hold B+Y until in the menu again. Release B+Y. Tap Y. While closing hold SELECT.

* __Rock skip__: if "Sequence breaks" are "On" or "In Logic", lets you enter Volcano (Magmar, ...) without Levitate.

  Let the dog sniff at the exit to FE Village, run to the rock with the boy.
  Press X to scroll the camera all the way to the dog, close the menu, while the camera is scrolling back hold A+Up.

* __Out of bounds__: if set to "On" or "In Logic", allows you to go out of bounds in Act2 (see speedrun guides), giving you early access to
    * Pyramid, Halls (skip invisible bridges; event swap does not work in Pyramid)
    * Volcano (through the shop)
    * Vanilla Gauge, vanilla Energy Core, 2 East Crustacia chests, Queen's Key stuff (event swap)
    * All but 1 Tiny chest (using teleporters)
    * Aquagoth
    * Connects caves from Act1 and Act2 (Jaguar Ring, HB, Drain, ...)

* __Event swap__: by pressing B with the dog and switching to the boy on the next frame, chests can be looted with the dog. This works everywhere except Pyramid. See Saturn skip for a setup.

### Useful Mechanics
* Use strong and cheap spells, switch to dog to multi-cast with X
* Use Call Beads, see [Call Bead Management](#call-bead-management)
* Use the Bazooka you get from Cecil or a Random Boss
* Use Energize to get zero cool down on (charged) attacks
* Use Aura or Barrier to become invincible without glitches

### Shortcuts
* Enter the Big Bug from the top (Thraxx exit) to get to the bottom (Big Bug entrance)
* Talk to the guy at the well in Act3 to travel back to Horace's camp

### Early Game
**Note:** Sniffing out ingredients is probably a waste of time unless you get lucky with the early spells.

1. Loot 3 gourds in S.Jungle, 1 in FE Village, 20 in FE Village Huts, 3 in Defend Area (West of Village)
2. Get the spell + 2 gourds from Fire Eyes
3. Get Jaguar Ring + 3 gourds from Quick Sand Cave
4. If you were unlucky so far, you can choose to grind EXP now
5. Get 2 gourds in the Quick Sand Field
6. Get the spell + 3 gourds in Hard Ball Cave
7. Grab 3 gourds in Bugmuck, enter the Big Bug
8. Grab 3 gourds on your way to Thraxx
9. If you got a weapon along the way, you can skip Thraxx and get free checks instead

See [Boss Strats](#boss-strats) for defeating Thraxx.

### Free Alchemy Checks

After obtaining the first weapon, you can easily check the following vanilla locations:
* Acid Rain (East of Quicksand Field)
* Miracle Cure (Strong Heart)
* Defend (West of FE Village)
* Crush (Blimp's Cave)
* Atlas (Nobilia Store)
* Cure (Nobilia Market, Fish Guy, 150 jewels)
* Slow Burn (Tinker, Act3)
* Explosion (Tinker, Act3)

### Call Bead Management
Call Bead damage rises with your best spell, so you may want to get free checks early.

Until randomized, you get
* Always 6 from Fire Eyes after defeating Thraxx
* Refill up to 6 from Horace' camp
* Refill up to 6 after Aegis fight
* Refill up to 6 from Camellia

so you should **not** waste Call Beads at/before Thraxx, if possible,
but you should use as many as possible before visiting Horace or Camellia.

Use Storm for good damage per bead, Flare if you want to multi-cast,
Plague to kill the prison Robot with damage over time while invincible,
First Aid or Life Spark if you are out of healing items.


## Boss Strats

### Thraxx
600HP

* With 4-5 Call Beads (Storm), 14-16 Hard Ball, ~8 Nitro or a mix thereof you can instantly kill Thraxx
* Multi-cast with the dog if you use spells
* With level 5 (66 HP) you can easily defeat Thraxx with just 1-2 Petals (no spells, armor or weapon)
* If you don't have Petals, you can also use Pixie Dust, Nectar or Honey
* Having a weapon and/or armor reduces the level requirement to 4 (57 HP)
* Stay above ~25 HP (dog alive) or ~40 HP (dog dead) because of Acid Rain (first cast after 30sec, then every 60sec)
* Intro skip does not spawn Maggots and makes the fight easier (see speedrun guides)
* Zombie Boy allows you to defeat Thraxx at any level without any items (see speedrun guides)
* Outro skip still works (see speedrun guides)

### Salabog
2000HP

* Don't attempt to defeat Salabog without good spells, Atlas glitch, bazooka or
leveled spear (best combined with Energize). It will take forever.


## FAQ
* __Q__: Is there a video tutorial?
* __A__: No tutorial yet, only regular VODs. Will update once someone uploads one.
* __Q__: The market timer is over but I never started it?!
* __A__: Once you have 2 Diamond Eyes the game always behaves as if the market timer has expired.
* __Q__: The market is empty/square is filled but Vigor fight does not start?!
* __A__: You have to jump down the ravine next to Blimp south of the desert to progress.

